CreateDataVolumeTemplateFromVolumeSnapshot
CreateDataVolumeTemplateFromVolumeSnapshot
POST
/zstack/v1/images/data-volume-templates/from/volume-snapshots/{snapshotUuid}Operation ID
CreateDataVolumeTemplateFromVolumeSnapshotSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
snapshotUuidStringRequiredThe snapshot UUID.
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe name of the data volume image.
descriptionStringOptional. The detailed description of the data volume image.
backupStorageUuidsListRequiredThe backup storage UUID list.
resourceUuidStringOptional. The UUID of the data volume image. If specified, the data volume image will use the specified value as UUID.
tagUuidsListThe tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The system tags.
